org.apache.maven.scm.provider.accurev.command.remove

## Class AccuRevRemoveCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand
    - - org.apache.maven.scm.provider.accurev.command.remove.AccuRevRemoveCommand

All Implemented Interfaces:
  Command

    public class AccuRevRemoveCommand
    extends AbstractAccuRevCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AccuRevRemoveCommand(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ScmResult` `executeAccurevCommand(AccuRevScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`RemoveScmResult` `remove(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand

`executeCommand, getScmFiles`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccuRevRemoveCommand

    public AccuRevRemoveCommand(ScmLogger logger)

### Method Detail

#### executeAccurevCommand

    protected ScmResult executeAccurevCommand(AccuRevScmProviderRepository repository,
                                              ScmFileSet fileSet,
                                              CommandParameters parameters)
                                       throws ScmException,
                                              AccuRevException

Specified by:
  `executeAccurevCommand` in class `AbstractAccuRevCommand`
Throws:
  `ScmException`
  `AccuRevException`

#### remove

    public RemoveScmResult remove(ScmProviderRepository repository,
                                  ScmFileSet fileSet,
                                  CommandParameters parameters)
                           throws ScmException

Throws:
  `ScmException`